package be.iminds.jfed.gts_highlevel.model.helpers;

import be.iminds.jfed.gts_highlevel.model.GtsXmlComposite;
import be.iminds.jfed.gts_highlevel.model.GtsXmlResource;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * User: twalcari
 * Date: 9/23/2015
 * Time: 15:36
 */
@XmlRootElement(name = "resourceBases")
public class GtsResources {

    private List<GtsXmlResource> resources;

    @XmlElements({
            @XmlElement(name = "resourceBase", type = GtsXmlResource.class),
            @XmlElement(name = "composite", type = GtsXmlComposite.class)
    })
    public List<GtsXmlResource> getResources() {
        return resources;
    }

    public void setResources(List<GtsXmlResource> resources) {
        this.resources = resources;
    }
}
